gstreamermm: Gst::MessageMixerMuteToggled Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Gst::MessageMixerMuteToggled Class Reference

A mute-toggled Gst::Mixer message. More...

Inheritance diagram for Gst::MessageMixerMuteToggled:
[legend]
Collaboration diagram for Gst::MessageMixerMuteToggled:
[legend]

List of all members.

## Public Member Functions
| MessageMixerMuteToggled (GstMessage* castitem)
void | parse (Glib::RefPtr< Gst::MixerTrack >& track, bool& mute) const
| Extracts the contents of a mute-toggled bus message.
Glib::RefPtr< Gst::MixerTrack > | parse ()
| Extracts the contents of a mute-toggled bus message.
Glib::RefPtr< const Gst::MixerTrack > | parse () const
| Extracts the contents of a mute-toggled bus message.
bool | parse_mute () const
| Extracts the contents of a mute-toggled bus message.

## Detailed Description

A mute-toggled Gst::Mixer message.

## Constructor & Destructor Documentation

Gst::MessageMixerMuteToggled::MessageMixerMuteToggled | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

void Gst::MessageMixerMuteToggled::parse | ( | Glib::RefPtr< Gst::MixerTrack >& | track,
|  | bool & | mute
| ) |  | const

Extracts the contents of a mute-toggled bus message.

Reads the Gst::MixerTrack that has changed, and the new value of the mute flag.

The Gst::MixerTrack remains valid until the message is freed.

Parameters:

  track | Reference to hold a Gst::MixerTrack object.
  mute | A reference to hold the bool new value.

Since 0.10.14.

Glib::RefPtr<Gst::MixerTrack> Gst::MessageMixerMuteToggled::parse | ( |  | ) |

Extracts the contents of a mute-toggled bus message.

Reads the Gst::MixerTrack that has changed, and the new value of the mute flag.

The Gst::MixerTrack remains valid until the message is freed.

Returns:
  the Gst::MixerTrack object.

Glib::RefPtr<const Gst::MixerTrack> Gst::MessageMixerMuteToggled::parse | ( |  | ) | const

Extracts the contents of a mute-toggled bus message.

Reads the Gst::MixerTrack that has changed, and the new value of the mute flag.

The Gst::MixerTrack remains valid until the message is freed.

Returns:
  the Gst::MixerTrack object.

bool Gst::MessageMixerMuteToggled::parse_mute | ( |  | ) | const

Extracts the contents of a mute-toggled bus message.

Reads the new value of the mute flag.

Returns:
  The bool new value.

The documentation for this class was generated from the following file:

- gstreamermm/mixer.h